#pragma once

#include "CoreMinimal.h"
#include "RangedExplosiveEffectData.h"
#include "OnRangedExplosiveInRangeBeginEvent.generated.h"

UDELEGATE()
DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam(FOnRangedExplosiveInRangeBeginEvent, const FRangedExplosiveEffectData&, effectData);
